<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" default-lazy-init="true"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.1.xsd">

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="statisticTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="statisticTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="statisticQuote"/>-->
        <!--<property name="cronExpression" value="0 0 1 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="statisticQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="customerService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>statisticTask</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="callCRMTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="callCRMTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="callCRMQuote"/>-->
        <!--<property name="cronExpression" value="0 0/10 * * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="callCRMQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="customerService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>sendCustomerToCRMJOB</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="updateNamesTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="updateNamesTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="updateNameQuote"/>-->
        <!--<property name="cronExpression" value="0 30 4 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="updateNameQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="customerService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>updateName</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="backToSeaByStatusOverDaysTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="backToSeaByStatusOverDaysTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="backToSeaByStatusOverDaysQuote"/>-->
        <!--<property name="cronExpression" value="0 0 * * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="backToSeaByStatusOverDaysQuote"-->
          <!--class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="customerService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>backToSeaByStatusOverDaysTask</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="refreshCrmConfig"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="refreshCrmConfig" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="refreshCrmConfigQuote"/>-->
        <!--&lt;!&ndash;<property name="cronExpression" value="0 0/10 * * * ?"/>&ndash;&gt;-->
        <!--<property name="cronExpression" value="0 0 3 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="refreshCrmConfigQuote"-->
          <!--class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="crmSource"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>refreshCrmConfig</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="putOverTimeToOceanTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="putOverTimeToOceanTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="putOverTimeToOceanQuote"/>-->
        <!--<property name="cronExpression" value="0 0 0/1 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="putOverTimeToOceanQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="marketingActivityService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>putOvertimeToOcean</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--&lt;!&ndash;<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="triggers">&ndash;&gt;-->
    <!--&lt;!&ndash;<list>&ndash;&gt;-->
    <!--&lt;!&ndash;<ref bean="removeFromOceanTrigger"/>&ndash;&gt;-->
    <!--&lt;!&ndash;</list>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->

    <!--&lt;!&ndash;<bean id="removeFromOceanTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="jobDetail" ref="removeFromOceanQuote"/>&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="cronExpression" value="0 0/10 * * * ?"/>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->

    <!--&lt;!&ndash;<bean id="removeFromOceanQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">&ndash;&gt;-->
    <!--&lt;!&ndash;&lt;!&ndash;调用的类&ndash;&gt;&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="targetObject">&ndash;&gt;-->
    <!--&lt;!&ndash;<ref bean="customerService"/>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;&lt;!&ndash;调用类中的方法&ndash;&gt;&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="targetMethod">&ndash;&gt;-->
    <!--&lt;!&ndash;<value>removeFromOcean</value>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="pushRushCustomerTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="pushRushCustomerTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="pushRushCustomerQuote"/>-->
        <!--<property name="cronExpression" value="0 0/30 * * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="pushRushCustomerQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="rushCustomerRuleService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>pushRushCustomer</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setRecommendTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setRecommendTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setRecommendQuote"/>-->
        <!--&lt;!&ndash;<property name="cronExpression" value="0 0 0/60 * * ?"/>&ndash;&gt;-->
        <!--<property name="cronExpression" value="0 0 0/1 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="setRecommendQuote"-->
          <!--class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="appQuartzService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setRecommendTask</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--&lt;!&ndash;发送短信定时&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="sendMessageTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="sendMessageTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="sendMessageQuote"/>-->
        <!--<property name="cronExpression" value="0 0/2 * * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="sendMessageQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendMessageTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>sendMessage</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--&lt;!&ndash;删除短信定时&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="delMessageTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="delMessageTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="delMessageQuote"/>-->
        <!--<property name="cronExpression" value="0 0/10 * * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="delMessageQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendMessageTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>deleteMessage</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;删除短信定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;发送dlq删除提醒短信定时开始&ndash;&gt;-->
    <!--&lt;!&ndash;<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="triggers">&ndash;&gt;-->
    <!--&lt;!&ndash;<list>&ndash;&gt;-->
    <!--&lt;!&ndash;<ref bean="sendDlqMessageTrigger"/>&ndash;&gt;-->
    <!--&lt;!&ndash;</list>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->

    <!--&lt;!&ndash;<bean id="sendDlqMessageTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="jobDetail" ref="sendDlqMessageQuote"/>&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="cronExpression" value="0 0 17 * * ?  "/>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->

    <!--&lt;!&ndash;<bean id="sendDlqMessageQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">&ndash;&gt;-->
    <!--&lt;!&ndash;&lt;!&ndash;调用的类&ndash;&gt;&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="targetObject">&ndash;&gt;-->
    <!--&lt;!&ndash;<ref bean="sendMessageTask"/>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;&lt;!&ndash;调用类中的方法&ndash;&gt;&ndash;&gt;-->
    <!--&lt;!&ndash;<property name="targetMethod">&ndash;&gt;-->
    <!--&lt;!&ndash;<value>sendDlqMessage</value>&ndash;&gt;-->
    <!--&lt;!&ndash;</property>&ndash;&gt;-->
    <!--&lt;!&ndash;</bean>&ndash;&gt;-->
    <!--&lt;!&ndash;发送dlq删除提醒短信定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;发送微信提醒定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="sendWxMessageTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="sendWxMessageTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="sendWxMessageQuote"/>-->
        <!--<property name="cronExpression" value="0 0/10 * * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="sendWxMessageQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendWeChatTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>sendWeChatMsg</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;发送微信提醒定时开始&ndash;&gt;-->

    <!--&lt;!&ndash;N天无约看入公海begin&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="checkCustomerBackToSea"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="checkCustomerBackToSea" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="noCallBackToSea"/>-->
        <!--<property name="cronExpression" value="0 0 2 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="noCallBackToSea" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="checkNoApproximateCustomer"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>backToSea</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;N天无约看入公海end&ndash;&gt;-->

    <!--&lt;!&ndash;更新客户活跃标记定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="updateActiveStatusTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="updateActiveStatusTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="updateActiveStatusQuote"/>-->
        <!--<property name="cronExpression" value="0 0 0/1 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="updateActiveStatusQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendMessageTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>updateActiveStatus</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;更新客户活跃标记定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;同步crm报名轨迹数据定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="addCrmTrackTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="addCrmTrackTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="addCrmTrackQuote"/>-->
        <!--<property name="cronExpression" value="0 5 0/1 * * ?  "/>-->
    <!--</bean>-->

    <!--<bean id="addCrmTrackQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendMessageTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>addCrmTrack</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;同步crm报名轨迹数据定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;同步crm报名轨迹数据定时结束&ndash;&gt;-->

    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="dutyStaff"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="dutyStaff" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="checkDutyStaff"/>-->
        <!--<property name="cronExpression" value="0 0 1 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="checkDutyStaff" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>updateDutyStaff</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--&lt;!&ndash; N天无回访入公海begin &ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="checkNoLimit"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="checkNoLimit" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="noLimit"/>-->
        <!--<property name="cronExpression" value="0 0 0/1 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="noLimit" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="checkNoLimitImpl"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>backToSea</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash; N天无回访入公海end &ndash;&gt;-->

    <!--&lt;!&ndash; 营销客户数据超时待回访数据回公海 &ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="putOvertimeWaitCallTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="putOvertimeWaitCallTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="putOvertimeWaitCallQuote"/>-->
        <!--&lt;!&ndash;<property name="cronExpression" value="0 0/5 * * * ?"/>&ndash;&gt;-->
        <!--<property name="cronExpression" value="0 0 0/1 * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="putOvertimeWaitCallQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="marketingActivityService"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>putOvertimeWaitCallToOcean</value>-->
        <!--</property>-->
    <!--</bean>-->

    <!--&lt;!&ndash;发送企业微信通知定时&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="sendWxTrigger"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="sendWxTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="sendWxQuote"/>-->
        <!--<property name="cronExpression" value="0/15 * * * * ?"/>-->
    <!--</bean>-->

    <!--<bean id="sendWxQuote" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="sendMessageTask"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>sendWxMessage</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;发送企业微信通知定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;新增云迹活动定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="cloudJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="cloudJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="addCloudJob"/>-->
        <!--<property name="cronExpression" value="0 0 2 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="addCloudJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>addCloudActivity</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;新增云迹活动定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;同步经管项目信息定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="projectJgtJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="projectJgtJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="updateProjectJob"/>-->
        <!--<property name="cronExpression" value="0 0 2 * * ? "/>-->
    <!--</bean>-->

    <!--<bean id="updateProjectJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>updateProjectStatus</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;同步经管项目信息定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;设置云迹数据报表定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setCloudJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setCloudJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setCloudCountJob"/>-->
        <!--<property name="cronExpression" value="0 0 0/2 * * ? *"/>-->
    <!--</bean>-->

    <!--<bean id="setCloudCountJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setCloudCount</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;设置云迹数据报表定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;N天无回访入公海（且未达到到访状态）定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="customerNoBackToSea"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="customerNoBackToSea" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="noBackToSea"/>-->
        <!--<property name="cronExpression" value="0 0 3 * * ? *"/>-->
    <!--</bean>-->

    <!--<bean id="noBackToSea" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="checkNoLimitImpl"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>backNoVisitToSea</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;N天无回访入公海（且未达到到访状态）end&ndash;&gt;-->

    <!--&lt;!&ndash;推送外部客户至CRM开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setExterCusJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setExterCusJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setExterCusToCrm"/>-->
        <!--<property name="cronExpression" value="0 0 1 * * ? *"/>-->
    <!--</bean>-->

    <!--<bean id="setExterCusToCrm" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>putExterCusToCrm</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;推送外部客户至CRM结束&ndash;&gt;-->

    <!--&lt;!&ndash;设置云迹报表定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setCloudReportJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setCloudReportJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setCloudReJob"/>-->
        <!--<property name="cronExpression" value="0 15 3 1 * ?"/>-->
    <!--</bean>-->

    <!--<bean id="setCloudReJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setCloudReportCount</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;设置云迹报表定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;同步经管状态定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="updateJgJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="updateJgJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="updateJgStatusJob"/>-->
        <!--<property name="cronExpression" value="0 0 3 * * ? *"/>-->
    <!--</bean>-->

    <!--<bean id="updateJgStatusJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>updateJgStatus</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;同步经管状态定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;设置云迹季度报表定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setCloudReportJiJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setCloudReportJiJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setCloudReJiJob"/>-->
        <!--<property name="cronExpression" value="0 30 00 1 4,7,10,1 ?"/>-->
    <!--</bean>-->

    <!--<bean id="setCloudReJiJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setCloudReportCountJi</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;设置云迹季度报表定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;设置云迹半年度报表定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setCloudReportBnJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setCloudReportBnJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setCloudReBnJob"/>-->
        <!--<property name="cronExpression" value="0 50 00 1 ,7,1 ?"/>-->
    <!--</bean>-->

    <!--<bean id="setCloudReBnJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setCloudReportCountBn</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--&lt;!&ndash;设置云迹半年度报表定时结束&ndash;&gt;-->

    <!--&lt;!&ndash;设置云迹年度报表定时开始&ndash;&gt;-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="setCloudReportYearJob"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="setCloudReportYearJob" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="setCloudReYearJob"/>-->
        <!--<property name="cronExpression" value="0 15 2 1 1 ?"/>-->
    <!--</bean>-->

    <!--<bean id="setCloudReYearJob" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>setCloudReportCountYear</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--设置云迹年度报表定时结束-->

    <!--定时创建营销活动拉取客户开始-->
    <!--<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">-->
        <!--<property name="triggers">-->
            <!--<list>-->
                <!--<ref bean="addMarketActivity"/>-->
            <!--</list>-->
        <!--</property>-->
    <!--</bean>-->

    <!--<bean id="addMarketActivity" class="org.springframework.scheduling.quartz.CronTriggerBean">-->
        <!--<property name="jobDetail" ref="addMarketCus"/>-->
        <!--<property name="cronExpression" value="0 10 0 * * ? *"/>-->
    <!--</bean>-->

    <!--<bean id="addMarketCus" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">-->
        <!--&lt;!&ndash;调用的类&ndash;&gt;-->
        <!--<property name="targetObject">-->
            <!--<ref bean="staffDuty"/>-->
        <!--</property>-->
        <!--&lt;!&ndash;调用类中的方法&ndash;&gt;-->
        <!--<property name="targetMethod">-->
            <!--<value>addMarketActivity</value>-->
        <!--</property>-->
    <!--</bean>-->
    <!--定时创建营销活动拉取客户结束-->

</beans>
